*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  /* Blue */
  --blue-100: #7e8d99;

  /* Gray */
  --gray-100: #edecef;
  --gray-200: #dfdee3;
  --gray-300: #a6b0b8;

  /* Scarlet red */
  --scarletRed-100: #f16a7f;
  --scarletRed-200: #f05f75;
}

/* ---------- */
/* Main Style */
/* ---------- */
.invitation {
  text-align: center;
  font-family: 'Cairo', sans-serif;
  max-width: 1110px;
  margin: 2rem auto;
  padding: 2rem;
}

/* header */
.header {
  text-align: center;
}

.invitation__date {
  margin-bottom: 0.9rem;
  font-size: 1.3rem;
  font-weight: bold;
  letter-spacing: 6px;
  line-height: 1.5;
}

.invitation__text {
  margin-bottom: 2.5rem;
  color: var(--blue-100);
}

.heart svg {
  height: 1.7rem;
  fill: var(--blue-100);
}

.main {
  display: grid;
  /* grid-template-columns: repeat(3, 1fr); */
  margin-top: 2rem;
}

.partner__image {
  margin-bottom: 2.1rem;
}

.partner__image img {
  width: 12.7rem;
  padding: 0.6rem;
  border-radius: 50%;
  outline: 1px solid var(--gray-100);
}

.partner__name {
  font-size: 2.9rem;
  color: var(--scarletRed-100);
  margin-bottom: 1.2rem;
  font-family: 'Cinzel', serif;
}

.partner__status {
  position: relative;
  margin-bottom: 1.7rem;
  font-size: 0.8rem;
  color: var(--gray-300);
}

.partner__social {
  margin-bottom: 1rem;
}

.partner__social svg {
  margin: 0 0.3rem;
  fill: var(--gray-200);
}

.partner__info {
  line-height: 1.5;
  font-size: 0.8rem;
}

.partner__status::before,
.partner__status::after {
  content: '';
  position: absolute;
  top: 87%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 43%;
  height: 1px;
  background-color: var(--gray-200);
}

.partner__status::before {
  left: 0;
}

.partner__status::after {
  right: 0;
}

.invitation__countdown {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(2, 1fr) 46px repeat(2, 1fr);
  /* grid-template-columns: repeat(2, 1fr); */
  /* grid-template-rows: 1fr auto 1fr; */
  row-gap: 1rem;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-top: 3.4rem;
  margin-bottom: 4.2rem;
  padding: 0 2rem;
}

.invitation__countdown p {
  grid-column: 1 / 3;
}

.invitation__countdown span {
  display: block;
}

/* transform to utility class */

.time-units {
  grid-column: 1;
  padding: 2rem 0 0;
  border: 1px solid var(--gray-100);
}

.time-units span {
}

.time-units span:first-child {
  margin-bottom: 2rem;
  font-size: 2.5rem;
  font-weight: bold;
  color: var(--scarletRed-200);
}

.time-units span:last-child {
  display: inline-block;
  width: 6rem;
  margin-bottom: 1.4rem;
  padding-top: 1.3rem;
  border-top: 1px dashed var(--gray-200);
  font-weight: bold;
}

@media screen and (min-width: 1110px) {
  .main {
    grid-template-columns: repeat(3, 1fr);
  }

  .invitation__countdown {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr auto 1fr;
    -webkit-column-gap: 1rem;
    -moz-column-gap: 1rem;
    column-gap: 1rem;
  }
  .time-units {
    grid-column: auto;
  }
}
/* --------------- */
/* Personal Footer */
/* --------------- */

.footer {
  min-width: 300px;
  margin: 2rem 1rem;
  font-family: 'Cairo', sans-serif;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
